    One-dimensional complementary error function.

erfc

The function is described at [1] .

>>> create_model_component("erfc", "mdl")
>>> print(mdl)

Create a component of the erfc model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.ampl thawed 1 0 3.40282e+38 mdl.offset thawed 0 0 3.40282e+38 mdl.sigma thawed 1 1e-10 10

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
ampl
The amplitude of the model.
offset
The offset of the model.
sigma
The scaling factor.

Notes

The functional form of the model for points is:

f(x) = ampl * erfc((x - offset) / sigma)

erfc(y) = (2 / sqrt(pi)) Int_y^infinity exp(-t^2) dt

and for an integrated grid it is the integral of this over the bin.

References

[1] http://mathworld.wolfram.com/Erfc.html

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023